{-----------------------------------------------------------------------------
   Unit Name: FolAbout
   Purpose  : 
   Author   : Vesa Lappalainen
   Date     : 26.12.1997
   Changed  :
   Todo     :
-----------------------------------------------------------------------------}

unit FolAbout;

interface

uses
  SysUtils,
{$ifdef CLX}
  QGraphics, QForms, QControls, QStdCtrls, QButtons, QExtCtrls,
{$else}
  Windows,
  Graphics, Forms, Controls, StdCtrls, Buttons, ExtCtrls, 
{$endif}
  Classes;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
  private
  public
    procedure ShowAbout(const name,ver:string);
  end;

var
  AboutBox: TAboutBox;

implementation

{$ifdef CLX}
{$R *.xfm}
{$else}
{$R *.dfm}
{$endif}


procedure TAboutBox.ShowAbout(const name,ver:string);
begin
  Version.Caption := ver;
  ProductName.Caption := name;
  ShowModal;
end;

end.

