unit filecomb;
{
  Unit to for different filetypes with some view property

  Author:  Vesa Lappalainen
  Date:    27.12.1997
  Changes: 
}

interface
uses fileobj,
{$ifdef CLX}
  QStdCtrls;
{$else}
  StdCtrls;
{$endif}

type
  TFileCombo = class(TFileObjects)
    Fcb : TComboBox;
  public
    constructor Create3(AType:TFileObjectType;const AName:string; Acb:TComboBox);
    function Update:boolean; override;
  published
    property cb : TComboBox read Fcb write Fcb;
  end;



implementation

//------------------------------------------------------------------------------
// TFileCombo
//------------------------------------------------------------------------------
constructor TFileCombo.Create3(AType:TFileObjectType;const AName:string;
                               Acb:TComboBox);
begin
  Fcb := Acb;
  Create2(AType,AName);
end;
{
function TFollowProjectFile.InformNew(o:TFileObject):boolean;
begin
  Result := true;
  if ( not Assigned(cb) ) then exit;
  cb.Items.Add(o.ShowStr);
end;
}
function TFileCombo.Update:boolean;
var ind,i:integer;
begin
  Result := true;
  if ( not Assigned(cb) ) then exit;
  ind := cb.ItemIndex;
  cb.Clear;
  for i:=0 to Count-1 do
    cb.Items.Add(Obj[i].ShowStr);
  cb.ItemIndex := ind;
end;

end.
