{-----------------------------------------------------------------------------
   Unit Name: Timefollow.dpr
   Purpose  : Help following time used for different projects
   Author   : Vesa Lappalainen
   Date     : 1.8.2002
   Changed  :
   Todo     :
-----------------------------------------------------------------------------}

program timefollow;

uses
  Forms,
  timefoll in 'timefoll.pas' {FormFollow},
  fileobj in 'fileobj.pas',
  foptions in 'foptions.pas' {Options},
  follitem in 'follitem.pas',
  filelist in 'filelist.pas',
  edittime in 'edittime.pas' {EditTimeItem},
  FolAbout in 'FolAbout.pas' {AboutBox},
  editprj in 'editprj.pas' {EditProject},
  timeview in 'timeview.pas' {FormTimeView};

{$R *.RES}

begin
  Application.Initialize;
  Application.CreateForm(TFormFollow, FormFollow);
  Application.CreateForm(TOptions, Options);
  Application.CreateForm(TEditTimeItem, EditTimeItem);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TEditProject, EditProject);
  Application.CreateForm(TFormTimeView, FormTimeView);
  FormFollow.InitForm;
  Application.Run;
end.
