program timefollowCLX;
{------------------------------------------------------------------------------}
{
   Unit Name: timefollow.dpr
   Purpose  : Main program form TimeFollow
   Author   : Vesa Lappalainen
   Date     : 26.12.1997
   Changed  : 30.09.2001/vl
     + VLC/CLX-compiling
   ToDo     :
     - Automatic column width for CLX
     - Inputing Dates in CLX-version

}
{------------------------------------------------------------------------------}


uses
  QForms,
  timefoll in 'timefoll.pas' {FormFollow},
  fileobj in 'fileobj.pas',
  foptions in 'foptions.pas' {Options},
  follitem in 'follitem.pas',
  filelist in 'filelist.pas',
  edittime in 'edittime.pas' {EditTimeItem},
  FolAbout in 'FolAbout.pas' {AboutBox},
  editprj in 'editprj.pas' {EditProject},
  timeview in 'timeview.pas' {FormTimeView};

{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TFormFollow, FormFollow);
  Application.CreateForm(TOptions, Options);
  Application.CreateForm(TEditTimeItem, EditTimeItem);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TEditProject, EditProject);
  Application.CreateForm(TFormTimeView, FormTimeView);
  FormFollow.InitForm;
  Application.Run;
end.
